Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.jasper.compiler
Class Generator

    java.lang.Object
      |
      +--org.apache.jasper.compiler.Generator

public class Generator
extends java.lang.Object

Generate Java source from Nodes

Author:
  Anil K. Vijendran, Danno Ferrin, Mandar Raje, Rajiv Mordani, Pierre Delisle, Kin-man Chung, Jan Luehe, Denis Benoit

Method Summary
`static void` | `generate(ServletWriter out, Compiler compiler, Node.Nodes page)` The main entry for Generator.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### generate

    public static void generate(ServletWriter out,
                                Compiler compiler,
                                Node.Nodes page)
                         throws JasperException

  The main entry for Generator.

  Parameters:
    `out` - The servlet output writer
    `compiler` - The compiler
    `page` - The input page
    `JasperException`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000 Apache Software Foundation. All Rights Reserved.